import { type HTMLChakraProps, type ThemingProps } from '@chakra-ui/react';
export interface FormProps extends HTMLChakraProps<'form'>, ThemingProps {
}
/**
 * Themeable `<form />` element.
 *
 * _This component avoids type errors that occur when attempting
 * `<Box as="form" />`_
 */
export declare const Form: import("@chakra-ui/system/dist/system.types").ComponentWithAs<"form", FormProps>;
