import { type Meta, type StoryObj } from '@storybook/react';
import { Menu } from '.';
/**
 * Modified Chakra Menu components
 *
 * - includes a mitigation for a Popper.js warning when Menu is used inside Stack
 * - uses our modified MenuButton, with animated icon
 *
 * https://chakra-ui.com/docs/components/menu
 */
declare const meta: Meta<typeof Menu>;
export default meta;
type Story = StoryObj<typeof Menu>;
export declare const Primary: Story;
