import { Popover } from '@chakra-ui/react';
import { type Meta, type StoryObj } from '@storybook/react';
/**
 * https://chakra-ui.com/docs/components/popover
 */
declare const meta: Meta<typeof Popover>;
export default meta;
type Story = StoryObj<typeof Popover>;
export declare const Primary: Story;
/**
 * Allow popover to shrink to fit its content
 *
 * https://github.com/chakra-ui/chakra-ui/issues/2609
 */
export declare const Responsive: Story;
