import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Heading, VStack, chakra } from '@chakra-ui/react';
/**
 * Renders JSON.stringified data in a styled `<pre>` element
 */
export const PreJson = ({ data = {}, heading, color = 'gray.100', }) => (_jsxs(VStack, { align: "left", children: [heading && _jsx(Heading, { size: "sm", children: heading }), _jsx(chakra.pre, { p: "2", bg: color, children: JSON.stringify(data, null, 2) })] }));
//# sourceMappingURL=PreJson.js.map