import { type LinkProps } from '@chakra-ui/react';
type SupportEmailProps = LinkProps & {
    /**
     * The email address to be used in the `href=mailto:xxx` attr.
     *
     * Defaults to support@burnsred.com.au
     */
    email?: string;
};
/**
 * Displays an underlined mailto:support@burnsred.com.au
 * Link which opens in a new tab.
 */
export declare const SupportEmail: ({ children, email, ...props }: SupportEmailProps) => import("react/jsx-runtime").JSX.Element;
export {};
