import { jsx as _jsx } from "react/jsx-runtime";
import { Link } from '@chakra-ui/react';
const supportEmail = 'support@burnsred.com.au';
/**
 * Displays an underlined mailto:support@burnsred.com.au
 * Link which opens in a new tab.
 */
export const SupportEmail = ({ children, email = supportEmail, ...props }) => (_jsx(Link, { href: `mailto:${email}`, isExternal: true, textDecoration: "underline", ...props, children: children ?? email }));
//# sourceMappingURL=SupportEmail.js.map