import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Drawer, DrawerCloseButton, DrawerOverlay } from '@chakra-ui/react';
import { StyledDrawerBody, StyledDrawerContent } from './Panel.styles';
export const Panel = ({ children, isOpen, onClose, size, onCloseComplete, }) => {
    return (_jsxs(Drawer, { isOpen: isOpen, onClose: onClose, onCloseComplete: onCloseComplete, placement: "right", size: size ? size : 'sm', children: [_jsx(DrawerOverlay, {}), _jsxs(StyledDrawerContent, { children: [_jsx(DrawerCloseButton, {}), _jsx(StyledDrawerBody, { children: children })] })] }));
};
//# sourceMappingURL=Panel.js.map