import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { getThemingArgTypes, } from '@burnsred/utils-storybook';
import { Form, InputField, brTheme } from '../../..';
import { FieldGroup } from '.';
const meta = {
    title: 'Components/widgets/FieldGroup',
    component: FieldGroup,
    args: {
        title: 'FieldGroup label',
        gridGap: '8',
        rowGap: '4',
    },
    argTypes: {
        ...getThemingArgTypes(brTheme, 'Grid'),
        title: { control: 'text' },
    },
};
export default meta;
export const Basic = {
    render: (args) => (_jsx(Form, { children: _jsxs(FieldGroup, { ...args, templateColumns: "repeat(3, 1fr)", children: [_jsx(InputField, { label: "First name" }), _jsx(InputField, { label: "First name" }), _jsx(InputField, { label: "Contact number" }), _jsx(InputField, { label: "Street Number" }), _jsx(InputField, { label: "Street" }), _jsx(InputField, { label: "Postcode" })] }) })),
};
export const AsymmetricalFields = {
    render: (args) => (_jsx(Form, { children: _jsxs(FieldGroup, { ...args, templateColumns: "10", children: [_jsx(InputField, { colSpan: 10, label: "No fixed address", type: "text" }), _jsx(InputField, { colSpan: 5, label: "Address", type: "text" }), _jsx(InputField, { colSpan: 3, label: "Suburb", type: "text" }), _jsx(InputField, { colSpan: 2, label: "Postcode", type: "text" }), _jsx(InputField, { colSpan: 2, label: "State", type: "text" }), _jsx(InputField, { colSpan: 3, label: "Contact number", type: "text" }), _jsx(InputField, { colSpan: 5, label: "Email", type: "email" })] }) })),
};
//# sourceMappingURL=FieldGroup.stories.js.map