import { jsx as _jsx } from "react/jsx-runtime";
import { render, screen } from '../../../test';
import { WidgetTextarea as Textarea } from '.';
// see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/textarea/tests/text-area.test.tsx
test('Renders Textarea', async () => {
    render(_jsx(Textarea, { name: "name-field", placeholder: "Textarea placeholder" }));
    expect(screen.getByPlaceholderText('Textarea placeholder')).toBeInTheDocument();
});
//# sourceMappingURL=Textarea.test.js.map