import { type Meta, type StoryObj } from '@storybook/react';
import { ThreeWaySwitch } from './ThreeWaySwitch';
declare const meta: Meta<typeof ThreeWaySwitch>;
export default meta;
type Story = StoryObj<typeof ThreeWaySwitch>;
/**
 * ThreeWaySwitch component rendered with a blank initialValue and unsetEnabled
 * set to false.
 */
export declare const Basic: Story;
/**
 * ThreeWaySwitch component rendered with a blank initialValue and unsetEnabled
 * set to true.
 */
export declare const UnsetEnabledTrue: Story;
/**
 * ThreeWaySwitch component rendered with an initialValue and unsetEnabled
 * set to true.
 */
export declare const UnsetEnabledTrueWithinitialValue: Story;
export declare const UnsetEnabledTrueWithinitialValueAndReadonly: Story;
