import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box, Heading, Stack, Text } from '@chakra-ui/react';
import { withTheme } from '@burnsred/utils-storybook';
import { brTheme } from '../..';
export const Headings = () => (_jsxs(Stack, { spacing: 6, children: [_jsx(Heading, { size: "4xl", children: "Heading 4xl" }), _jsx(Heading, { size: "3xl", children: "Heading 3xl" }), _jsx(Heading, { size: "2xl", children: "Heading 2xl" }), _jsx(Heading, { size: "xl", children: "Heading xl" }), _jsx(Heading, { size: "lg", children: "Heading lg" }), _jsx(Heading, { size: "md", children: "Heading md" }), _jsx(Heading, { size: "sm", children: "Heading sm" }), _jsx(Heading, { size: "xs", children: "Heading xs" })] }));
export const HeadingsWithTheme = withTheme(brTheme, Headings);
export const Texts = () => (_jsxs(Stack, { spacing: 6, children: [_jsx(Text, { fontSize: "4xl", children: "Text 4xl" }), _jsx(Text, { fontSize: "3xl", children: "Text 3xl" }), _jsx(Text, { fontSize: "2xl", children: "Text 2xl" }), _jsx(Text, { fontSize: "xl", children: "Text xl" }), _jsx(Text, { fontSize: "lg", children: "Text lg" }), _jsx(Text, { fontSize: "md", children: "Text md" }), _jsx(Text, { fontSize: "sm", children: "Text sm" }), _jsx(Text, { fontSize: "xs", children: "Text xs" }), _jsx(Text, { children: "No fontSize defined" }), _jsx(Box, { textStyle: "storyBookDemo1", children: _jsx("code", { children: 'textStyle="storyBookDemo1"' }) }), _jsxs(Box, { textStyle: ['storyBookDemo1', 'storyBookDemo2'], children: ["mutltiple textStyles:", ' ', _jsx("code", { children: "textStyle={['storyBookDemo1', 'storyBookDemo2']}" })] })] }));
export const TextsWithTheme = withTheme(brTheme, Texts);
//# sourceMappingURL=04-Typography.js.map