import { type InputProps } from '@chakra-ui/react';
import { type Ref } from 'react';
export type OverridableInput1Props = InputProps & {
    ref: Ref<HTMLInputElement>;
};
export type OverridableInput1 = (props: OverridableInput1Props) => JSX.Element;
type WidgetProps = {
    value: string;
    setValue: (v: string) => void;
    /** override for the input element */
    inputComponent?: OverridableInput1;
    focusOnRender?: boolean;
};
/** forwardRef is called on InputComponent where it is defined */
export declare const Widget1: ({ value, setValue, inputComponent, focusOnRender, }: WidgetProps) => import("react/jsx-runtime").JSX.Element;
export {};
