import '@testing-library/jest-dom';
/**
 * Mocked to prevent a JSDom error triggered by testing react-router:
 *
 * > Error: Not implemented: window.scrollTo
 *
 * https://stackoverflow.com/questions/57311971/error-not-implemented-window-scrollto-how-do-we-remove-this-error-from-jest-t
 *
 * You can check that this has been called:
 * ```tsx
 * expect(window.scrollTo).toHaveBeenCalled();
 * ```
 *
 * https://vitest.dev/api/mock.html#mockimplementation
 */
export declare const scrollToMock: import("@vitest/spy").Mock<any, any>;
