export declare const avatarTheme: {
    baseStyle?: import("@chakra-ui/styled-system").PartsStyleInterpolation<{
        keys: ("container" | "label" | "group" | "badge" | "excessLabel")[];
    }> | undefined;
    sizes?: {
        [key: string]: import("@chakra-ui/styled-system").PartsStyleInterpolation<{
            keys: ("container" | "label" | "group" | "badge" | "excessLabel")[];
        }>;
    } | undefined;
    variants?: {
        roundedSquare: {
            badge: {
                bg: string;
                border: string;
            };
            container: {
                color: string;
                borderRadius: string;
                border: string;
                _dark: {
                    bg: string;
                    color: string;
                };
                img: {
                    borderRadius: string;
                };
            };
            excessLabel: {
                bg: string;
                color: string;
                borderRadius: string;
                border: string;
                _dark: {
                    bg: string;
                    color: string;
                };
            };
        };
    } | undefined;
    defaultProps?: {
        size?: string | number | undefined;
        variant?: "roundedSquare" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
    parts: ("container" | "label" | "group" | "badge" | "excessLabel")[];
};
