/**
 * https://chakra-ui.com/docs/components/popover/usage
 * https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/popover.ts
 */
export declare const popoverTheme: {
    baseStyle?: {
        popper: {
            zIndex: string;
        };
    } | undefined;
    sizes?: {
        [key: string]: import("@chakra-ui/styled-system").SystemStyleInterpolation;
    } | undefined;
    variants?: {
        responsive: {
            content: {
                maxWidth: string;
                width: string;
            };
        };
    } | undefined;
    defaultProps?: {
        size?: string | number | undefined;
        variant?: "responsive" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
};
