import { type ComponentStyleConfig } from '@chakra-ui/react';
/**
 * TODO create a wrapper component that allows us to default the icon to an "up/down chevron"
 * _like_: https://react-icons.github.io/react-icons/search?q=tbselector
 *
 * ```tsx
 * // https://chakra-ui.com/docs/components/select/usage#changing-the-icon
 * <Select icon={<TbSelector />} />
 * ```
 *
 * @see https://chakra-ui.com/docs/components/select
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/select.ts
 */
export declare const selectTheme: ComponentStyleConfig;
