/**
 *  * These are mainly here for reference: prefer adding semanticTokens to
 * `semanticTokens.space`, where referenced theme values will be interpolated.
 *
 * https://chakra-ui.com/docs/styled-system/theme#spacing
 * https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/foundations/spacing.ts
 *
 * (renamed to `space` for consistency)
 *
 * Note: negative spacing is valid; "-4" is interpreted as `calc(var(--chakra-space-4) * -1)`
 */
export declare const space: {
    px: string;
    0.5: string;
    1: string;
    1.5: string;
    2: string;
    2.5: string;
    3: string;
    3.5: string;
    4: string;
    5: string;
    6: string;
    7: string;
    8: string;
    9: string;
    10: string;
    12: string;
    14: string;
    16: string;
    20: string;
    24: string;
    28: string;
    32: string;
    36: string;
    40: string;
    44: string;
    48: string;
    52: string;
    56: string;
    60: string;
    64: string;
    72: string;
    80: string;
    96: string;
};
