/**
 * Placeholder function for change events
 *
 * ```tsx
 * <Input onChange={handleChangePlaceholder} defaultValue="" />
 * ```
 */
export function handleChangePlaceholder(event) {
    // @ts-expect-error Property 'value' does not exist on type 'EventTarget & T' (works fine when called!)
    console.log('[handleChangePlaceholder]', event?.target?.value);
}
//# sourceMappingURL=handleChangePlaceholder.js.map