import { jsx as _jsx } from "react/jsx-runtime";
import { Button, useColorMode } from '@chakra-ui/react';
export function ColorModeToggle() {
    const { colorMode, toggleColorMode } = useColorMode();
    return (_jsx(Button, { sx: { position: 'absolute', top: 4, right: 4 }, onClick: toggleColorMode, "aria-label": "Toggle Theme", children: colorMode === 'dark' ? '☀️' : '🌜' }));
}
//# sourceMappingURL=ColorModeToggle.js.map