import { IconButton } from '@chakra-ui/react';
import { type Meta, type StoryObj } from '@storybook/react';
/**
 * Displays a Button with an Icon inside.
 *
 * https://chakra-ui.com/docs/components/icon-button
 */
declare const meta: Meta<typeof IconButton>;
export default meta;
type Story = StoryObj<typeof IconButton>;
export declare const IconButtonMedium: Story;
export declare const IconButtonExtraSmall: Story;
export declare const IconButtonSmall: Story;
export declare const IconButtonLarge: Story;
