import { type CircularProgressProps, type SystemStyleInterpolation } from '@chakra-ui/react';
type LoadingProps = Partial<CircularProgressProps> & {
    containerSx?: SystemStyleInterpolation;
};
/**
 * Displays a spinner centered in the available space
 *
 * https://chakra-ui.com/docs/components/progress/usage#progress-sizes
 */
export declare const Loading: ({ containerSx, size, ...circularProgressProps }: LoadingProps) => import("react/jsx-runtime").JSX.Element;
export {};
