import { PreJson } from './PreJson';
/**
 * Renders JSON.stringified data in a styled `<pre>` element
 */
const meta = {
    title: 'Components/Atoms/PreJson',
    component: PreJson,
    args: {
        data: { a: 'alpha', b: 'beta' },
        heading: 'Some Heading',
        color: 'gray.100',
    },
    argTypes: {
        data: {
            control: 'object',
        },
        color: {
            control: 'text',
        },
        heading: {
            control: 'text',
        },
    },
};
export default meta;
export const Basic = {
// args: {}
};
//# sourceMappingURL=PreJson.stories.js.map