import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { SupportEmail } from './SupportEmail';
const meta = {
    title: 'Components/Atoms/SupportEmail',
    component: SupportEmail,
    args: {
        children: undefined,
        email: undefined,
    },
    argTypes: {
        children: { type: 'string' },
        email: { type: 'string' },
    },
};
export default meta;
export const Default = {
    render: (args) => (_jsxs("p", { children: ["Text preceding the support email: ", _jsx(SupportEmail, { ...args })] })),
};
export const WithEmail = {
    ...Default,
    args: {
        email: 'contact@example.com',
    },
};
export const CustomText = {
    ...Default,
    args: {
        children: 'Support Desk',
    },
};
export const WithStyles = {
    ...Default,
    args: {
        sx: { color: 'success' },
    },
};
//# sourceMappingURL=SupportEmail.stories.js.map