import { Component, type ErrorInfo, type ReactNode } from 'react';
interface Props {
    children?: ReactNode;
}
interface State {
    hasError: boolean;
}
/**
 * TODO use @burnsred component, provide styles
 * @see https://react-typescript-cheatsheet.netlify.app/docs/basic/getting-started/error_boundaries/
 */
export declare class ErrorBoundary extends Component<Props, State> {
    state: State;
    static getDerivedStateFromError(_: Error): State;
    componentDidCatch(error: Error, errorInfo: ErrorInfo): void;
    render(): string | number | boolean | import("react/jsx-runtime").JSX.Element | Iterable<ReactNode> | null | undefined;
}
export {};
