// https://codesandbox.io/s/chakra-react-select-border-selectedoptionstyle-yxkcos?file=/data/data.js
export const colorOptions = [
    { value: 'blue', label: 'Blue', color: '#0052CC' },
    { value: 'purple', label: 'Purple', color: '#5243AA' },
    { value: 'red', label: 'Red', color: '#FF5630' },
    { value: 'orange', label: 'Orange', color: '#FF8B00' },
    { value: 'yellow', label: 'Yellow', color: '#FFC400' },
    { value: 'green', label: 'Green', color: '#36B37E' },
];
export const flavorOptions = [
    { value: 'vanilla', label: 'Vanilla', rating: 'safe' },
    { value: 'chocolate', label: 'Chocolate', rating: 'good' },
    { value: 'strawberry', label: 'Strawberry', rating: 'wild' },
    { value: 'salted-caramel', label: 'Salted Caramel', rating: 'crazy' },
];
export const dogOptions = [
    { id: 1, label: 'Chihuahua' },
    { id: 2, label: 'Bulldog' },
    { id: 3, label: 'Dachshund' },
    { id: 4, label: 'Akita' },
];
// let bigOptions = [];
// for (let i = 0; i < 10000; i++) {
// 	bigOptions = bigOptions.concat(colourOptions);
// }
export const groupedOptions = [
    {
        label: 'Colours',
        options: colorOptions,
    },
    {
        label: 'Flavours',
        options: flavorOptions,
    },
];
export const colorSchemeOptions = [
    { value: 'blue', label: 'Blue', colorScheme: 'blue' },
    { value: 'purple', label: 'Purple', colorScheme: 'purple' },
    { value: 'red', label: 'Red', colorScheme: 'red' },
    { value: 'orange', label: 'Orange', colorScheme: 'orange' },
    { value: 'yellow', label: 'Yellow', colorScheme: 'yellow' },
    { value: 'green', label: 'Green', colorScheme: 'green' },
];
export const colorSchemeTagOptions = [
    { value: 'blue', label: 'Blue', variant: 'solid' },
    { value: 'purple', label: 'Purple', variant: 'outline' },
    { value: 'red', label: 'Red', variant: 'subtle' },
    { value: 'orange', label: 'Orange', variant: 'solid' },
    { value: 'yellow', label: 'Yellow', variant: 'outline' },
    { value: 'green', label: 'Green', variant: 'subtle' },
];
/** Truncated */
export const groupedCountries = [
    {
        label: 'Asia',
        options: [
            {
                label: 'Afghanistan',
                value: 'Afghanistan',
            },
            {
                label: 'Armenia',
                value: 'Armenia',
            },
            {
                label: 'Azerbaijan',
                value: 'Azerbaijan',
            },
            {
                label: 'Bahrain',
                value: 'Bahrain',
            },
            {
                label: 'Bangladesh',
                value: 'Bangladesh',
            },
            {
                label: 'Bhutan',
                value: 'Bhutan',
            },
            {
                label: 'Brunei',
                value: 'Brunei',
            },
        ],
    },
    {
        label: 'Europe',
        options: [
            {
                label: 'Albania',
                value: 'Albania',
            },
            {
                label: 'Andorra',
                value: 'Andorra',
            },
            {
                label: 'Austria',
                value: 'Austria',
            },
            {
                label: 'Belarus',
                value: 'Belarus',
            },
            {
                label: 'Belgium',
                value: 'Belgium',
            },
            {
                label: 'Bosnia and Herzegovina',
                value: 'Bosnia and Herzegovina',
            },
            {
                label: 'Bulgaria',
                value: 'Bulgaria',
            },
            {
                label: 'Croatia',
                value: 'Croatia',
            },
            {
                label: 'Czech Republic',
                value: 'Czech Republic',
            },
            {
                label: 'Denmark',
                value: 'Denmark',
            },
            {
                label: 'England',
                value: 'England',
            },
        ],
    },
    {
        label: 'Oceania',
        options: [
            {
                label: 'American Samoa',
                value: 'American Samoa',
            },
            {
                label: 'Australia',
                value: 'Australia',
            },
            {
                label: 'Christmas Island',
                value: 'Christmas Island',
            },
            {
                label: 'Cocos (Keeling) Islands',
                value: 'Cocos (Keeling) Islands',
            },
            {
                label: 'Cook Islands',
                value: 'Cook Islands',
            },
            {
                label: 'Fiji Islands',
                value: 'Fiji Islands',
            },
            {
                label: 'French Polynesia',
                value: 'French Polynesia',
            },
        ],
    },
];
//# sourceMappingURL=Autocomplete.fixtures.js.map