import type React from 'react';
import { type SyntheticEvent } from 'react';
type SwitchProps = {
    children: React.ReactNode;
    currentIndex: number;
};
export declare const Switch: ({ currentIndex, children }: SwitchProps) => import("react/jsx-runtime").JSX.Element;
export declare const SwitchSelection: ({ currentIndex }: {
    currentIndex: number;
}) => import("react/jsx-runtime").JSX.Element;
export declare const SwitchRadio: ({ checked }: {
    checked: boolean;
}) => import("react/jsx-runtime").JSX.Element;
type SwitchLabelProps = {
    children: React.ReactNode;
    onClick: (event: SyntheticEvent<HTMLLabelElement>) => void;
    checked: boolean;
    currentIndex: number;
};
export declare const SwitchLabel: ({ children, onClick, checked, currentIndex, ...rest }: SwitchLabelProps) => import("react/jsx-runtime").JSX.Element;
export {};
