import { type InputProps } from '@chakra-ui/react';
import { type Ref } from 'react';
export type OverridableInput2 = (props: InputProps, ref: Ref<HTMLInputElement>) => JSX.Element;
type WidgetProps = {
    value: string;
    setValue: (v: string) => void;
    /** override for the input element */
    inputComponent?: OverridableInput2;
    focusOnRender?: boolean;
};
/** forwardRef is called _inside_ the render function */
export declare const Widget2: ({ value, setValue, inputComponent, focusOnRender, }: WidgetProps) => import("react/jsx-runtime").JSX.Element;
export {};
