import { type InputProps } from '@chakra-ui/react';
import { type Ref } from 'react';
export type OverridableInputProps3 = InputProps & {
    inputRef: Ref<HTMLInputElement>;
};
export type OverridableInput3 = (props: OverridableInputProps3) => JSX.Element;
type WidgetProps = {
    value: string;
    setValue: (v: string) => void;
    /** override for the input element */
    inputComponent?: OverridableInput3;
    focusOnRender?: boolean;
};
/** doesn't use forwardRef, passes `inputRef` as a prop */
export declare const Widget3: ({ value, setValue, inputComponent, focusOnRender, }: WidgetProps) => import("react/jsx-runtime").JSX.Element;
export {};
