import { accordionAnatomy } from '@chakra-ui/anatomy';
import { createMultiStyleConfigHelpers } from '@chakra-ui/styled-system';
const { definePartsStyle, defineMultiStyleConfig } = createMultiStyleConfigHelpers(accordionAnatomy.keys);
const baseStyle = definePartsStyle({
    root: {},
    button: {
        justifyContent: 'space-between',
    },
    panel: {},
    icon: {},
    container: {
        border: 0,
    },
});
const formCardSize = definePartsStyle({
    root: {},
    button: {
        justifyContent: 'space-between',
    },
    panel: {},
    icon: {},
});
const formCardVariant = definePartsStyle({});
export const accordionTheme = defineMultiStyleConfig({
    baseStyle,
    sizes: { formCard: formCardSize },
    variants: { formCard: formCardVariant },
});
//# sourceMappingURL=Accordion.js.map