import { type ComponentStyleConfig } from '@chakra-ui/react';
/**
 * Consider whether the stying we need can be accomplished via theme/foundations/typography.
 *
 * @see https://chakra-ui.com/docs/components/heading
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/heading.ts
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/layout/src/heading.tsx
 */
export declare const headingTheme: ComponentStyleConfig;
