import { type ComponentStyleConfig } from '@chakra-ui/react';
/**
 * Input is a MultiPart Component
 *
 * @see https://chakra-ui.com/docs/components/input/theming
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/input.ts
 *
 * FIXME paddingX is missing from some Input components like:
 *
 * ```jsx
 * <InputGroup>
 *   <InputLeftAddon />
 *   <Input type="tel" />
 * </InputGroup>`
 * ```
 */
export declare const inputTheme: ComponentStyleConfig;
