import { type ChangeEvent } from 'react';
/**
 * Placeholder function for change events
 *
 * ```tsx
 * <Input onChange={handleChangePlaceholder} defaultValue="" />
 * ```
 */
export declare function handleChangePlaceholder<T = HTMLInputElement>(event: ChangeEvent<T>): void;
